package org.gcube.portlets.widgets.workspacesharingwidget.shared;

import java.io.Serializable;

public class GGroup implements Serializable {

	private static final long serialVersionUID = 1L;

	private long groupId;
	private long parentGroupId;
	private String groupName;
	private String description;

	public GGroup() {
		super();
	}

	public GGroup(long groupId, long parentGroupId, String groupName, String description) {
		super();
		this.groupId = groupId;
		this.parentGroupId = parentGroupId;
		this.groupName = groupName;
		this.description = description;
	}

	public long getGroupId() {
		return groupId;
	}

	public void setGroupId(long groupId) {
		this.groupId = groupId;
	}

	public long getParentGroupId() {
		return parentGroupId;
	}

	public void setParentGroupId(long parentGroupId) {
		this.parentGroupId = parentGroupId;
	}

	public String getGroupName() {
		return groupName;
	}

	public void setGroupName(String groupName) {
		this.groupName = groupName;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	@Override
	public String toString() {
		return "GGroup [groupId=" + groupId + ", parentGroupId=" + parentGroupId + ", groupName=" + groupName
				+ ", description=" + description + "]";
	}

}
